m3u8_main:
- manifest_edit.plugins.m3u8_main.rewrite_media_uri:
  # Can be used to change URIs in EXT-X-MEDIA, EXT-X-STREAM and
  # EXT-X-I-FRAME-STREAM-INF
  # Generic expression to replace python_pipeline_config query parameter value
  # in main playlists URIs and activate the desired media playlist use case.
  - search: 'python_pipeline_config=([^&]*)'
    replace: 'python_pipeline_config=m3u8_media/default'

# - manifest_edit.plugins.m3u8_main.rewrite_media_uri:
#   # Can be used to change URIs in EXT-X-MEDIA, EXT-X-STREAM and
#   # EXT-X-I-FRAME-STREAM-INF
#   # This expression is suitable when URI has other query params you want to
#   # keep and add python_pipeline_config to
#   - search: '.m3u8\?'
#   replace: '.m3u8?python_pipeline_config=m3u8_media/default&'

- manifest_edit.plugins.m3u8_main.rewrite_media_uri:
  # Can be used to change URIs in EXT-X-MEDIA, EXT-X-STREAM and
  # EXT-X-I-FRAME-STREAM-INF
  # This expression is suitable when suppress_query_parameter=true is used in
  # the main playlist URL.
  - search: '.m3u8$'
    replace: '.m3u8?python_pipeline_config=m3u8_media/default'

